CFTree Reference

## Detailed Description

## Data Structures

struct | CFTreeContext

## Typedefs

typedef struct __CFTree * | CFTreeRef
typedef void(* | CFTreeApplierFunction) (const void *value, void *context)
typedef const void *(* | CFTreeRetainCallBack) (const void *info)
typedef void(* | CFTreeReleaseCallBack) (const void *info)
typedef CFStringRef(* | CFTreeCopyDescriptionCallBack) (const void *info)

## Creating Trees

CFTreeRef | CFTreeCreate (CFAllocatorRef allocator, const CFTreeContext *context)

## Modifying a Tree

void | CFTreeAppendChild (CFTreeRef tree, CFTreeRef newChild)
void | CFTreeInsertSibling (CFTreeRef tree, CFTreeRef newSibling)
void | CFTreeRemoveAllChildren (CFTreeRef tree)
void | CFTreePrependChild (CFTreeRef tree, CFTreeRef newChild)
void | CFTreeRemove (CFTreeRef tree)
void | CFTreeSetContext (CFTreeRef tree, const CFTreeContext *context)

## Sorting a Tree

void | CFTreeSortChildren (CFTreeRef tree, CFComparatorFunction comp, void *context)

## Examining a Tree

CFTreeRef | CFTreeFindRoot (CFTreeRef tree)
CFTreeRef | CFTreeGetChildAtIndex (CFTreeRef tree, CFIndex idx)
CFIndex | CFTreeGetChildCount (CFTreeRef tree)
void | CFTreeGetChildren (CFTreeRef tree, CFTreeRef *children)
void | CFTreeGetContext (CFTreeRef tree, CFTreeContext *context)
CFTreeRef | CFTreeGetFirstChild (CFTreeRef tree)
CFTreeRef | CFTreeGetNextSibling (CFTreeRef tree)
CFTreeRef | CFTreeGetParent (CFTreeRef tree)

## Performing an Operation on Tree Elements

void | CFTreeApplyFunctionToChildren (CFTreeRef tree, CFTreeApplierFunction applier, void *context)

## Getting the Tree Type ID

CFTypeID | CFTreeGetTypeID (void)

## Data Structure Documentation

## _CFTreeContext

struct _CFTreeContext

Data Fields
CFIndex | version |
void * | info |
CFTreeRetainCallBack | retain |
CFTreeReleaseCallBack | release |
CFTreeCopyDescriptionCallBack | copyDescription |